hosting
GET /v1/sites/{siteId}/crawler-policy
Get a site's SEO-crawler-blocking (PBN footprint) policy.
ದೃಢೀಕರಣ
ಬೇರರ್ ಟೋಕನ್ ಆಗಿ API ಕೀಯನ್ನು ಕಳುಹಿಸಿ. ಕೀಯು sites.view ಅನುಮತಿಯನ್ನು ಹೊಂದಿರಬೇಕು; ಅದನ್ನು ಹೊಂದಿರದ ಕೀಯನ್ನು 404 ಬದಲಿಗೆ 403 ನೊಂದಿಗೆ ತಿರಸ್ಕರಿಸಲಾಗುತ್ತದೆ.
ಈ ಎಂಡ್ಪಾಯಿಂಟ್ ಯಾವುದೇ ಸಂಸ್ಥೆಯ ಐಡಿಯನ್ನು ತೆಗೆದುಕೊಳ್ಳುವುದಿಲ್ಲ. ನಿಮ್ಮ ಕೀ ಯು ಈಗಾಗಲೇ ಅದು ಸೇರಿರುವ ಸಂಸ್ಥೆಯನ್ನು ಗುರುತಿಸುತ್ತದೆ ಮತ್ತು ಪ್ರತಿಕ್ರಿಯೆಯನ್ನು ಅದಕ್ಕೆ ಸೀಮಿತಗೊಳಿಸಲಾಗಿದೆ.
ಪ್ರಯತ್ನಿಸಿ
ಕೋನೀಯ ಬ್ರಾಕೆಟ್ಗಳಲ್ಲಿರುವ ಯಾವುದೇ ಅಂಶವನ್ನು ನಿಮ್ಮ ಸ್ವಂತ ಮೌಲ್ಯಗಳೊಂದಿಗೆ ಮತ್ತು ಕೀ ಪ್ಲೇಸ್ಹೋಲ್ಡರ್ ಅನ್ನು ನಿಮ್ಮ ಡ್ಯಾಶ್ಬೋರ್ಡ್ನಲ್ಲಿರುವ ಕೀಯೊಂದಿಗೆ ಬದಲಾಯಿಸಿ.
curl -X GET https://api.zinndigital.com/v1/sites/{siteId}/crawler-policy \
-H "Authorization: Bearer zdk_live_…"ಸೈನ್ ಇನ್ ಆಗಿದ್ದೀರಾ? ನಿಮ್ಮ ಡ್ಯಾಶ್ಬೋರ್ಡ್ನಲ್ಲಿರುವ API ಕನ್ಸೋಲ್ ನಿಮ್ಮ ನೈಜ ಸಂಸ್ಥೆಯ ID ಮತ್ತು ನಿಮ್ಮ ಸ್ವಂತ ಕೀಲಿಯನ್ನು ಭರ್ತಿ ಮಾಡುತ್ತದೆ, ಮತ್ತು ಲೈವ್ API ವಿರುದ್ಧ ವಿನಂತಿಯನ್ನು ರನ್ ಮಾಡುತ್ತದೆ ಆದ್ದರಿಂದ ನೀವು ನಿಜವಾದ ಪ್ರತಿಕ್ರಿಯೆಯನ್ನು ನೋಡಬಹುದು. API ಕನ್ಸೋಲ್ನಲ್ಲಿ ಈ ಎಂಡ್ಪಾಯಿಂಟ್ ತೆರೆಯಿರಿ
ವಿವರಗಳು
The effective crawler-block policy for a site — the stored override or the line default (the PBN/footprint-free line blocks every SEO crawler by default; other lines block none). Returns the blocked crawler keys, the catalog of blockable crawlers, and the rendered `robots.txt` + server rules. Search engines (Googlebot/Bingbot) are never blockable. Requires `sites.view`.
ಪ್ಯಾರಾಮೀಟರ್ಗಳು
| ಹೆಸರು | ಪ್ರಕಾರ | ಅಗತ್ಯವಿದೆ | ಏನಿದು |
|---|---|---|---|
siteId (path) | Uuid | ಹೌದು | Site ID (UUIDv7). |
ಪ್ರತಿಕ್ರಿಯೆ
| ಹೆಸರು | ಪ್ರಕಾರ | ಅಗತ್ಯವಿದೆ | ಏನಿದು |
|---|---|---|---|
site_id | Uuid | ಹೌದು | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
policy | CrawlerPolicy | ಹೌದು | — |
available_crawlers | CrawlerCatalogEntry[] | ಹೌದು | — |
rendered | CrawlerPolicyRendered | ಹೌದು | The rendered rule artifacts for the worker / Zinn® plugin to write. |
enforcement | CrawlerEnforcement | ಇಲ್ಲ | Whether the stored crawler policy is actually a rule on a web server, and if not why not (#1954, D8300). ⛔ These are two different questions and collapsing them is the defect th… |
ಈ ಎಂಡ್ಪಾಯಿಂಟ್ ಹಿಂತಿರುಗಿಸಬಹುದಾದ ದೋಷಗಳು
401 · 403 · 404 · 429